Subject: [bug#45893] [PATCH 0/2] DRAFT: Hint for options.

From: zimoun <[email-masked]>
Date: Tue, 26 Jan 2021 22:27:43 +0100

Hi,

Thanks for the review.

On Tue, 26 Jan 2021 at 21:53, Ludovic Courtès <[email-masked]> wrote:

>>> > +    (fold (lambda (name res)
>>> > +            (if (string-null? res)
>>> > +                (string-append  "@code{" name "}")
>>> > +                (string-append "@code{" name "}, " res)))
>>> > +          ""
>>> > +          (string-closest (symbol->string guess) command-names)))
>>>
>>> Hmm I thought ‘string-closest’ would return a single string, but
>>> actually it returns a list of strings?
>>>
>>> You cannot append strings together like this as this can break i18n.
>>
>> Hum?  But it is not (G_ "")...
>
> Yes, but here you’re building an enumeration like:
>
>   ‘foo’, ‘bar’, ‘baz’
>
> This should be i18n’d, and so it should all be in a single format
> string.

Are the options translated?  If yes, then I understand, else I miss.

Anyway, I have removed that since I agree with your practical argument:
hint is for typo.  Type a faulty option name at the same distance as 2
real option names is not a typo. ;-)

Cheers,
simon